Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleGameObject Class Reference

Class to handle a flexible GameObject type reference method there is more than one. More...

Inheritance diagram for FlexibleGameObject:

## Public Member Functions
override object | GetValueObject ()
| Return the value as object. More...
override Object | GetConstantObject ()
| Returns an Object of FlexibleSceneObjectType.Constant. More...
| FlexibleGameObject ()
| FlexibleGameObject default constructor More...
| FlexibleGameObject (GameObject gameObject)
| FlexibleGameObject constructor. More...
| FlexibleGameObject (GameObjectParameterReference parameter)
| FlexibleGameObject constructor. More...
| FlexibleGameObject (InputSlotGameObject slot)
| FlexibleGameObject constructor. More...
| FlexibleGameObject (FlexibleHierarchyType hierarchyType)
| FlexibleGameObject constructor. More...
Public Member Functions inherited from FlexibleSceneObjectBase
bool | SetHierarchyIfConstantNull (FlexibleHierarchyType hierarchyType=FlexibleHierarchyType.Self)
| Change to FlexibleSceneObjectType.Hierarchy if FlexibleSceneObjectType.Constant and the referencing object is null. More...

## Static Public Member Functions
static | operator GameObject (FlexibleGameObject flexible)
| Cast FlexibleGameObject to GameObject. More...
static | operator FlexibleGameObject (GameObject value)
| Cast GameObject to FlexibleGameObject. More...

## Properties
Parameter | parameter`[get]`
| It return a Paramter. More...
GameObject | value`[get]`
| It returns a value More...
Properties inherited from FlexibleSceneObjectBase
Object | ownerObject`[get, set]`
| Return the object that owns this instance More...
System.Reflection.FieldInfo | fieldInfo`[get, set]`
| Return the FieldInfo that owns this instance More...
NodeGraph | targetGraph`[get]`
| Returns the NodeGraph to be referenced in case of FlexibleSceneObjectType.Hierarchy. More...
GameObject | targetGameObject`[get]`
| Returns the GameObject to be referenced in case of FlexibleSceneObjectType.Hierarchy. More...
FlexibleSceneObjectType | type`[get, set]`
| It returns a type More...
FlexibleHierarchyType | hierarchyType`[get, set]`
| In the case of FlexibleSceneObjectType.Hierarchy, return FlexibleHierarchyType representing which object to reference More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleSceneObjectBase
FlexibleSceneObjectType | _Type = FlexibleSceneObjectType.Constant
| Specified type of value More...
FlexibleHierarchyType | _HierarchyType = FlexibleHierarchyType.Self
| Reference type of Hierarchy specified when Type is FlexibleSceneObjectType.Hierarchy. More...

## Detailed Description

Class to handle a flexible GameObject type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleGameObject() [1/5]

FlexibleGameObject | ( |  | ) |

FlexibleGameObject default constructor

## ◆ FlexibleGameObject() [2/5]

FlexibleGameObject | ( | GameObject | gameObject | ) |

FlexibleGameObject constructor.

Parameters

  gameObject | GameObject

## ◆ FlexibleGameObject() [3/5]

FlexibleGameObject | ( | GameObjectParameterReference | parameter | ) |

FlexibleGameObject constructor.

Parameters

  parameter | Parameter

## ◆ FlexibleGameObject() [4/5]

FlexibleGameObject | ( | InputSlotGameObject | slot | ) |

FlexibleGameObject constructor.

Parameters

  slot | Slot

## ◆ FlexibleGameObject() [5/5]

FlexibleGameObject | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleGameObject constructor.

Parameters

  hierarchyType | Hierarchy type of referenced object

## Member Function Documentation

## ◆ GetConstantObject()

override Object GetConstantObject | ( |  | ) |
| virtual

Returns an Object of FlexibleSceneObjectType.Constant.

Returns
  Object value at Constant

Implements FlexibleSceneObjectBase.

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

Return the value as object.

Returns
  The value object

Implements FlexibleSceneObjectBase.

## ◆ operator FlexibleGameObject()

static operator FlexibleGameObject | ( | GameObject | value | ) |
| explicit static

Cast GameObject to FlexibleGameObject.

Parameters

  value | GameObject

## ◆ operator GameObject()

static operator GameObject | ( | FlexibleGameObject | flexible | ) |
| explicit static

Cast FlexibleGameObject to GameObject.

Parameters

  flexible | FlexibleGameObject

## Property Documentation

## ◆ parameter

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

## ◆ value

GameObject value
| get

It returns a value